import { Controller } from "./main";

export class SubmitView{
    json: HTMLInputElement;
    submitFormBtn: HTMLButtonElement;
    submit_status: HTMLElement;
  
    constructor(controller: Controller){
      this.json = document.getElementById('json') as HTMLInputElement
      this.submitFormBtn = document.getElementById("submit") as HTMLButtonElement
      this.submit_status = document.getElementById("submit_status") as HTMLElement
      this.submitFormBtn.onclick = () => {
        controller.uploadConfig(this.json.value, (status:string) => {
          this.submit_status.innerHTML = status;
        });
     }
    }
  
    setJson(pretty: string) {
      this.json.value = pretty
    }
  }